edu.northwestern.at.morphadorner.gate

## Class Annie

- java.lang.Object
- - edu.northwestern.at.morphadorner.gate.Annie

-     public class Annie
      extends java.lang.Object

  Standalone Annie for named entity adornment.

  Adapted from the StandAloneAnnie sample program in the Gate distribution.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected gate.creole.SerialAnalyserController` | `annieController` Annie controller.
    `protected gate.Corpus` | `corpus` Holds text to adorn with named entities.
    `protected static java.lang.String` | `defaultAnnieResourcePath` Default resources path.
    `protected java.util.Set<java.lang.String>` | `entityTypesWanted` Set of named entity types wanted.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annie()` Create Annie annotator using default resource path.
    `Annie(java.lang.String annieResourcePath)` Create Annie annotator specifying resource path.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `adornText(java.lang.String text)` Adorn text with named entities.
    `void` | `close()` Close down Annie.
    `void` | `initAnnie(java.lang.String annieResourcePath)` Initialize Annie.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annieController

          protected gate.creole.SerialAnalyserController annieController

      Annie controller.

    - #### corpus

          protected gate.Corpus corpus

      Holds text to adorn with named entities.

    - #### entityTypesWanted

          protected java.util.Set<java.lang.String> entityTypesWanted

      Set of named entity types wanted.

    - #### defaultAnnieResourcePath

          protected static java.lang.String defaultAnnieResourcePath

      Default resources path.

  - ### Constructor Detail

    - #### Annie

          public Annie()
                throws java.lang.Exception

      Create Annie annotator using default resource path.
      Throws:
        `java.lang.Exception`

    - #### Annie

          public Annie(java.lang.String annieResourcePath)
                throws java.lang.Exception

      Create Annie annotator specifying resource path.
      Parameters:
        `annieResourcePath` - The resource path.
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### initAnnie

          public void initAnnie(java.lang.String annieResourcePath)
                         throws java.lang.Exception

      Initialize Annie.
      Parameters:
        `annieResourcePath` - The resource path.
      Throws:
        `java.lang.Exception`

    - #### close

          public void close()

      Close down Annie.

    - #### adornText

          public java.lang.String adornText(java.lang.String text)

      Adorn text with named entities.
      Parameters:
        `text` - Text to adorn with named entities.
      Returns:
        The text adter adornment. May be empty if an error occurs.